using GarmentFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using GarmentFactoryContracts.Attributes;

namespace GarmentFactoryContracts.ViewModels
{
    public class TextileViewModel : ITextileModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string TextileName { get; set; } = string.Empty;
		[Column(title: "Цена", width: 70)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> TextileComponents
        {
            get;
            set;
        } = new();
    }
}
